> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nordlyslabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model

> Fetch a model from the registry by ID.



## OpenAPI

````yaml openapi.yaml get /v1/models/{id}
openapi: 3.0.3
info:
  description: OpenAPI documentation for Fiber applications
  title: NordlysProxy Inference API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/models/{id}:
    get:
      summary: Get model
      description: Fetch a model from the registry by ID.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            example: claude-sonnet-4-5
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistryModel'
          description: OK
      security:
        - apiKey: []
components:
  schemas:
    RegistryModel:
      properties:
        architecture:
          $ref: '#/components/schemas/RegistryModelArchitecture'
        author:
          type: string
        context_length:
          type: integer
        created_at:
          format: date-time
          type: string
        default_parameters:
          $ref: '#/components/schemas/RegistryModelDefaultParameters'
        description:
          type: string
        display_name:
          type: string
        id:
          format: int64
          type: integer
        last_updated:
          format: date-time
          type: string
        model_name:
          type: string
        pricing:
          $ref: '#/components/schemas/RegistryModelPricingEntity'
        providers:
          items:
            $ref: '#/components/schemas/RegistryModelProvider'
          nullable: true
          type: array
        supported_parameters:
          items:
            $ref: '#/components/schemas/RegistryModelSupportedParameter'
          nullable: true
          type: array
        top_provider:
          $ref: '#/components/schemas/RegistryModelTopProvider'
      type: object
    RegistryModelArchitecture:
      properties:
        instruct_type:
          type: string
        modalities:
          items:
            $ref: '#/components/schemas/RegistryArchitectureModality'
          nullable: true
          type: array
        modality:
          type: string
        tokenizer:
          type: string
      type: object
    RegistryModelDefaultParameters:
      properties:
        parameters:
          $ref: '#/components/schemas/RegistryDefaultParametersValues'
      type: object
    RegistryModelPricingEntity:
      properties:
        completion_cost:
          type: string
        image_cost:
          type: string
        internal_reasoning_cost:
          type: string
        prompt_cost:
          type: string
        request_cost:
          type: string
        web_search_cost:
          type: string
      type: object
    RegistryModelProvider:
      properties:
        context_length:
          type: integer
        is_zdr:
          type: string
        max_completion_tokens:
          nullable: true
          type: integer
        max_prompt_tokens:
          nullable: true
          type: integer
        name:
          type: string
        pricing:
          $ref: '#/components/schemas/RegistryProviderPricing'
        provider_model_name:
          type: string
        provider_name:
          type: string
        quantization:
          type: string
        status:
          type: integer
        supports_implicit_caching:
          type: string
        tag:
          type: string
        uptime_last_30m:
          type: string
      type: object
    RegistryModelSupportedParameter:
      properties:
        parameter_name:
          type: string
      type: object
    RegistryModelTopProvider:
      properties:
        context_length:
          nullable: true
          type: integer
        is_moderated:
          type: string
        max_completion_tokens:
          nullable: true
          type: integer
      type: object
    RegistryArchitectureModality:
      properties:
        modality_type:
          type: string
        modality_value:
          type: string
      type: object
    RegistryDefaultParametersValues:
      properties:
        frequency_penalty:
          nullable: true
          type: number
        logprobs:
          nullable: true
          type: boolean
        max_completion_tokens:
          nullable: true
          type: number
        max_tokens:
          nullable: true
          type: number
        min_p:
          nullable: true
          type: number
        'n':
          nullable: true
          type: number
        parallel_tool_calls:
          nullable: true
          type: boolean
        seed:
          nullable: true
          type: number
        stop_sequences:
          items:
            type: string
          nullable: true
          type: array
        store:
          nullable: true
          type: boolean
        temperature:
          nullable: true
          type: number
        top_a:
          nullable: true
          type: number
        top_k:
          nullable: true
          type: number
        top_logprobs:
          nullable: true
          type: number
        top_p:
          nullable: true
          type: number
      type: object
    RegistryProviderPricing:
      properties:
        audio_cost:
          type: string
        completion_cost:
          type: string
        discount:
          type: string
        image_cost:
          type: string
        image_output_cost:
          type: string
        input_audio_cache_cost:
          type: string
        input_cache_read_cost:
          type: string
        input_cache_write_cost:
          type: string
        prompt_cost:
          type: string
        request_cost:
          type: string
      type: object
  securitySchemes:
    apiKey:
      in: header
      name: X-API-Key
      type: apiKey

````